Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006381opensim[GRID] Hypergridpublic2012-10-26 09:532013-01-03 14:38
ReporterTwitch 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformallOSallOS Versionall
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006381: regions not configured for hypergrid corrupting clothing
Descriptioninteraction between regions configured for hypergrid and not configured for hypergrid corrupting clothing; clothing loses textures and reverts to asset UUID.zero (white)
Steps To Reproduce- Visit an HG enabled region and create clothing item; wear said item
- Visit a non-HG configured region - new clothing item will become white
- item corruption is permanent; does not revert when returning to an HG enabled region
Additional InformationSpeculate that this is related to the problem with loss or corruption of attachments under similar circumstances
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono Version2.10
Viewerany
Attached Files

- Relationships

-  Notes
(0022963)
justincc (administrator)
2012-10-30 18:13

Here's some error information I caught from the Wright Plaza console in today's meeting. Unfortunately incomplete due to console size and not sure it's relevant, but it does point towards objects being unexpectedly null which might be related.

18:30:16 - [EVENT MANAGER]: Delegate for TriggerOnIncomingSceneObject failed - continuing. Object reference not set to an instance of an object at OpenSim.Region.CoreModules.Framework.EntityTran
eneObject (OpenSim.Region.Framework.Scenes.SceneObjectGroup so) [0x0000c] in /home/osgrid/PLAZA/wright_plaza/OpenSim/Region/CoreModules/Framework/EntityTransfer/HGEntityTransferModule.cs:162
  at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnIncomingSceneObject (OpenSim.Region.Framework.Scenes.SceneObjectGroup so) [0x00024] in /home/osgrid/PLAZA/wright_plaza/OpenSim/Region/Fram

19:07:54 - [ASYNC REQUEST]: Request GET http://assets.osgrid.org/assets/541077b3-79ca-40c6-adea-d31506fea75e [^] callback failed with exception Object reference not set to an instance of an object at
entoryAccess.HGInventoryAccessModule.IsForeignUser (UUID userID, System.String& assetServerURL) [0x00054] in /home/osgrid/PLAZA/wright_plaza/OpenSim/Region/CoreModules/Framework/InventoryAccess/HGI
  at OpenSim.Region.ClientStack.LindenUDP.J2KImage.AssetReceived (System.String id, System.Object sender, OpenSim.Framework.AssetBase asset) [0x00035] in /home/osgrid/PLAZA/wright_plaza/OpenSim/Reg
24
  at OpenSim.Region.CoreModules.ServiceConnectorsOut.Asset.HGAssetBroker+<Get>c__AnonStorey19.<>m__55 (System.String assetID, System.Object s, OpenSim.Framework.AssetBase a) [0x00021] in /home/osgr
eModules/ServiceConnectorsOut/Asset/HGAssetBroker.cs:309
  at OpenSim.Services.Connectors.AssetServicesConnector+<Get>c__AnonStorey0.<>m__0 (OpenSim.Framework.AssetBase _asset) [0x00000] in /home/osgrid/PLAZA/wright_plaza/OpenSim/Services/Connectors/Asse
  at OpenSim.Services.Connectors.AssetServicesConnector+<Get>c__AnonStorey0.<>m__1 (OpenSim.Framework.AssetBase a) [0x0006d] in /home/osgrid/PLAZA/wright_plaza/OpenSim/Services/Connectors/Asset/Ass
  at OpenSim.Framework.AsynchronousRestObjectRequester+<MakeRequest>c__AnonStorey6`2[System.Int32,OpenSim.Framework.AssetBase].<>m__B (IAsyncResult res2) [0x0013f] in /home/osgrid/PLAZA/wright_plaz
(0022964)
justincc (administrator)
2012-10-30 18:14

Also, could one confirm that this been checked on a non-osgrid region (if these are osgrid regions). Recent asset service slowness on osgrid might be having some effect here.
(0022966)
justincc (administrator)
2012-10-30 19:21

I have made Diva aware of this issue, I believe she hopes to take a look sometime soon.
(0022995)
Diva (administrator)
2012-11-02 08:14

I just flipped all configs to HG2.0. Can you please check that this bug still exists?
(If testing in osgrid, you need to wait until osgrid's robust is updated)
(0023003)
Twitch (manager)
2012-11-03 11:59

Have tested and confirmed that setting the region to disallow foreigners seems to address this issue. I say 'seems' as I am unaware of other changes in this commit that might potentially impact the issue. In any case, the recipe for reproduction no longer demonstrates the undesirable result so I will mark this issue fixed.

Thanks for your quick response :)
(0023007)
Twitch (manager)
2012-11-04 00:20

Unfortunately, on a subsequent visit to LBSA Plaza later in the evening, this problem reappeared, as the shirt lost texture and tint again going all white.
(0023375)
Twitch (manager)
2013-01-03 14:38

This turned out to be a problem with improper HG configuration after the adoption of HG2.0. The resolution was to replace older configs with entirely new configs rebuilt from the examples.

- Issue History
Date Modified Username Field Change
2012-10-26 09:53 Twitch New Issue
2012-10-30 18:13 justincc Note Added: 0022963
2012-10-30 18:14 justincc Note Added: 0022964
2012-10-30 19:21 justincc Note Added: 0022966
2012-11-02 08:14 Diva Note Added: 0022995
2012-11-03 11:59 Twitch Note Added: 0023003
2012-11-03 12:00 Twitch Status new => resolved
2012-11-04 00:20 Twitch Note Added: 0023007
2012-11-04 00:20 Twitch Status resolved => new
2012-11-04 00:20 Twitch Resolution open => reopened
2013-01-03 14:38 Twitch Note Added: 0023375
2013-01-03 14:38 Twitch Status new => closed
2013-01-03 14:38 Twitch Resolution reopened => no change required


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker